# Class CreateInviteRequest | EchoHub Documentation

# Class CreateInviteRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record CreateInviteRequest : IEquatable<CreateInviteRequest>

Inheritance
  object
  CreateInviteRequest

Implements
  IEquatable<CreateInviteRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### CreateInviteRequest(CreateInviteRequest)

    protected CreateInviteRequest(CreateInviteRequest original)

#### Parameters

`original` CreateInviteRequest

### CreateInviteRequest(int?, int?)

    public CreateInviteRequest(int? MaxUses = null, int? ExpiresInHours = null)

#### Parameters

`MaxUses` int?
`ExpiresInHours` int?

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### ExpiresInHours

    public int? ExpiresInHours { get; init; }

#### Property Value

int?

### MaxUses

    public int? MaxUses { get; init; }

#### Property Value

int?

## Methods

### Deconstruct(out int?, out int?)

    public void Deconstruct(out int? MaxUses, out int? ExpiresInHours)

#### Parameters

`MaxUses` int?
`ExpiresInHours` int?

### Equals(CreateInviteRequest?)

    public virtual bool Equals(CreateInviteRequest? other)

#### Parameters

`other` CreateInviteRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(CreateInviteRequest?, CreateInviteRequest?)

    public static bool operator ==(CreateInviteRequest? left, CreateInviteRequest? right)

#### Parameters

`left` CreateInviteRequest
`right` CreateInviteRequest

#### Returns

bool

### operator !=(CreateInviteRequest?, CreateInviteRequest?)

    public static bool operator !=(CreateInviteRequest? left, CreateInviteRequest? right)

#### Parameters

`left` CreateInviteRequest
`right` CreateInviteRequest

#### Returns

bool